bump version to 6.1-4